Metadata (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class Metadata

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.Metadata

-     public class Metadata
      extends Object

  Data relating to a single partition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metadata()`
    `Metadata(String timeStamp)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDMScheme(UL dmScheme)`
    `boolean` | `addEssenceContainerData(UMID umid, int bodySID)`
    `boolean` | `addEssenceContainerData(UMID umid, int bodySID, int indexSID)`
    `void` | `addEssenceType(UL essenceContainerType)`
    `Package` | `addFilePackage(int bodySID)`
    `Package` | `addFilePackage(int bodySID, String packageName, UMID packageUMID)`
    `Package` | `addFilePackage(int bodySID, UMID packageUMID)`
    `Package` | `addMaterialPackage()`
    `Package` | `addMaterialPackage(String packageName, UMID pacakageUMID)`
    `Package` | `addMaterialPackage(UMID packageUMID)`
    `Package` | `addSourcePackage(int bodySID)`
    `Package` | `addSourcePackage(int bodySID, String packageName, UMID packageUMID)`
    `Package` | `addSourcePackage(int bodySID, UMID packageUMID)`
    `static Metadata` | `getMetadata(MetadataObject metadataObject)`
    `Package` | `getPrimaryPackage()`
    `static Metadata` | `parse(MetadataObject baseObject)`
    `void` | `setModificationTime()`
    `void` | `setModificationTime(String timestamp)`
    `void` | `setOperationalPattern(UL operationalPattern)`
    `void` | `setPrimaryPackage(MetadataObject primaryPackage)`
    `void` | `setPrimaryPackage(Package primaryPackage)`
    `boolean` | `updateGenerations(MetadataObject identifier)`
    `boolean` | `updateGenerations(MetadataObject identifier, String updateTime)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Metadata

          public Metadata()

    - #### Metadata

          public Metadata(String timeStamp)

  - ### Method Detail

    - #### setModificationTime

          public void setModificationTime()

    - #### setModificationTime

          public void setModificationTime(String timestamp)

    - #### addDMScheme

          public void addDMScheme(UL dmScheme)

    - #### addEssenceType

          public void addEssenceType(UL essenceContainerType)

    - #### setOperationalPattern

          public void setOperationalPattern(UL operationalPattern)

    - #### addMaterialPackage

          public Package addMaterialPackage(UMID packageUMID)

    - #### addMaterialPackage

          public Package addMaterialPackage(String packageName,
                                            UMID pacakageUMID)

    - #### addMaterialPackage

          public Package addMaterialPackage()

    - #### addFilePackage

          public Package addFilePackage(@UInt32
                                        int bodySID,
                                        UMID packageUMID)

    - #### addFilePackage

          public Package addFilePackage(@UInt32
                                        int bodySID,
                                        String packageName,
                                        UMID packageUMID)

    - #### addFilePackage

          public Package addFilePackage(@UInt32
                                        int bodySID)

    - #### addSourcePackage

          public Package addSourcePackage(@UInt32
                                          int bodySID,
                                          UMID packageUMID)

    - #### addSourcePackage

          public Package addSourcePackage(@UInt32
                                          int bodySID,
                                          String packageName,
                                          UMID packageUMID)

    - #### addSourcePackage

          public Package addSourcePackage(@UInt32
                                          int bodySID)

    - #### addEssenceContainerData

          public boolean addEssenceContainerData(UMID umid,
                                                 @UInt32
                                                 int bodySID,
                                                 @UInt32
                                                 int indexSID)

    - #### addEssenceContainerData

          public boolean addEssenceContainerData(UMID umid,
                                                 @UInt32
                                                 int bodySID)

    - #### setPrimaryPackage

          public void setPrimaryPackage(Package primaryPackage)

    - #### setPrimaryPackage

          public void setPrimaryPackage(MetadataObject primaryPackage)

    - #### getPrimaryPackage

          public Package getPrimaryPackage()

    - #### updateGenerations

          public boolean updateGenerations(MetadataObject identifier,
                                           String updateTime)

    - #### updateGenerations

          public boolean updateGenerations(MetadataObject identifier)

    - #### getMetadata

          public static final Metadata getMetadata(MetadataObject metadataObject)

    - #### parse

          public static final Metadata parse(MetadataObject baseObject)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.